# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           easymock-classextension
Version:        1.2
Release:        3%{?dist}
Epoch:          0
Summary:        EasyMock class extension
Group:          Development/Libraries/Java
License:        MIT
URL:            http://www.easymock.org/
Source0:        http://downloads.sourceforge.net/sourceforge/easymock/easymockclassextension1.2.zip
Obsoletes:      easymockclassextension < %{epoch}:%{version}-%{release}
Provides:       easymockclassextension = %{epoch}:%{version}-%{release}
Requires:       cglib
Requires:       easymock
BuildRequires:  java-devel >= 0:1.5
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  cglib
BuildRequires:  easymock
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This extension allows generating Mock Objects for classes. 
It has been contributed by Joel Shellman, Henri Tremblay 
and Chad Woolley. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n easymockclassextension%{version}
mkdir -p build/classes
mkdir src
pushd src
unzip -qq ../src.zip
popd

%build
export CLASSPATH=$(build-classpath \
cglib \
easymock \
)
%{javac} -sourcepath src -d build/classes \
        src/org/easymock/classextension/MockClassControl.java
pushd build/classes
%{jar} cf ../%{name}.jar org
popd
%{javadoc} -d build/javadoc -sourcepath src org.easymock.classextension

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 build/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc {Documentation,License}.html
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Mon Feb 02 2009 David Walluck <dwalluck@redhat.com> 0:1.2-3
- build for JPP-6

* Mon Mar 13 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2-2jpp
- Add missing header

* Sat Mar 11 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2-1jpp
- Package renamed from easymockclassextension to easymock-classextension

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.2-1jpp
- Update to 1.2 

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.1-2jpp
- minor fixes

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPackage release
